gitit-0.15.1.1: Wiki using happstack, git or darcs, and pandoc.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Network.Gitit.Rpxnow

Synopsis

- data Identifier = Identifier {
  - userIdentifier :: String
  - userData :: [(String, String)]
  }
- authenticate :: String -> String -> IO (Either String Identifier)

# Documentation

data Identifier Source #

Information received from Rpxnow after a valid login.

Constructors

Identifier |

Fields

- userIdentifier :: String
- userData :: [(String, String)]

#### Instances

Instances details

Show Identifier Source # |
Instance details Defined in Network.Gitit.Rpxnow Methods showsPrec :: Int -> Identifier -> ShowS Source # show :: Identifier -> String Source # showList :: [Identifier] -> ShowS Source #

authenticate Source #

Arguments

:: String | API key given by RPXNOW.
-> String | Token passed by client.
-> IO (Either String Identifier) |

Attempt to log a user in.